package sgraphics;

// Copyright (c) 1996    Michael A. Jones

/**
 * The area a glyph requires.
 */
public class Requirements {
	public Requirement x;
	public Requirement y;

	public Requirements () {
		x = new Requirement();
		x.defined = false;
		y = new Requirement();
		y.defined = false;
		}

	public Requirements (Requirements r) {
		x = new Requirement();
		x.defined = r.x.defined;
		x.natural = r.x.natural;
		x.minimum = r.x.minimum;
		x.maximum = r.x.maximum;
		x.align = r.x.align;
		y = new Requirement();
		y.defined = r.y.defined;
		y.natural = r.y.natural;
		y.minimum = r.y.minimum;
		y.maximum = r.y.maximum;
        y.align = r.y.align;
		}
}
