package sgraphics.test;

// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

public class ButtonTester extends ViewerImpl {

    public ButtonTester (Glyph g) {
        super(g);
    }

    public boolean handleEvent (GraphicsEvent event) {
        System.out.println("button " + event);
        return super.handleEvent(event);
    }

	public boolean mouseEnter(GraphicsEvent e, float x, float y) {
		System.out.println ("button enter at " + x + " " + y);
		return false;
		}
	public boolean mouseExit(GraphicsEvent e, float x, float y) {
		System.out.println ("button exit at " + x + " " + y);
		return false;
		}
	public boolean mouseMove(GraphicsEvent e, float x, float y) {
		System.out.println ("button move at " + x + " " + y);
		return false;
		}
	public boolean mouseDrag(GraphicsEvent e, float x, float y) {
		System.out.println ("button drag at " + x + " " + y);
		return false;
		}
	public boolean mouseDown(GraphicsEvent e, float x, float y) {
		System.out.println ("button down at " + x + " " + y);
		return false;
		}
	public boolean mouseUp(GraphicsEvent e, float x, float y) {
		System.out.println ("button up at " + x + " " + y);
		return false;
		}
	public boolean keyDown (GraphicsEvent e, int key) {
		System.out.println("button key down");
		return false;
		}
	public boolean keyUp (GraphicsEvent e, int key) {
		System.out.println("button key up");
		return false;
		}
	public boolean action (GraphicsEvent e, int arg) {
		System.out.println("button action");
		return false;
		}
	public boolean gotFocus(GraphicsEvent e, int arg) {
		System.out.println("button got focus");
		return false;
		}
	public boolean lostFocus(GraphicsEvent e, int arg) {
		System.out.println("button lost focus");
		return false;
		}
}
