package sgraphics.test;

// Copyright (c) 1996    Michael A. Jones

import java.awt.*;

import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.widget.*;

public class TestCanvas {
	public static void main (String args[]) {
		System.out.println ("Start test...");

		Frame f = new Frame();
		f.resize(900, 500);
		f.setLayout(new BorderLayout());

		// The blue square
		FigureStyle style = new FigureStyle();
		style.foreground = Color.blue;
		style.brushSize = 6;
		Glyph rect1 = new ColorChanger(FigureKit.rectangle(FigureMode.Stroke, style, 20, 20, 40, 40));

        CanvasGlyph canvas = new CanvasGlyph(30, 30);
        canvas.append(rect1);
        canvas.setScale(1F);
        //canvas.setXOffset(10F);
        canvas.setYOffset(10F);

		SgraphicsAdapter a = new SgraphicsAdapter(canvas);
		f.add("Center", a);
		f.show();

		System.out.println ("Test complete");
		}
}
