package	sgraphics.tutorial;

// Copyright (c) 1996	 Michael A.	Jones
// Copyright (c) 1997	 Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.wrapper.*;


public class ActivePinCallback implements ViewerCallback {
    private TextField pinNameField_ = null;

    public ActivePinCallback(TextField pinNameField) {
        pinNameField_ = pinNameField;
    }

    public boolean mouseDown(Viewer v, GraphicsEvent evt, float X, float Y) {
        return false;
    }

    public boolean mouseDrag(Viewer v, GraphicsEvent evt, float X, float Y) {
        return false;
    }

    public boolean mouseUp(Viewer v, GraphicsEvent evt, float X, float Y) {
        return false;
    }

    public boolean mouseMove(Viewer v, GraphicsEvent evt, float X, float Y) {
        return false;
    }

    public boolean mouseEnter (Viewer v, GraphicsEvent event, float x, float y) {
        ActivePin pin = (ActivePin) v;
        pinNameField_.setText(pin.getName());
        return true;
    }

    public boolean mouseExit (Viewer v, GraphicsEvent event, float x, float y) {
        pinNameField_.setText("");
        return true;
    }

    public boolean keyDown(Viewer v, GraphicsEvent evt, int key) {
        return false;
    }

    public boolean keyUp(Viewer v, GraphicsEvent evt, int key) {
        return false;
    }

    public boolean action(Viewer v, GraphicsEvent evt, Object what) {
        return false;
    }

    public boolean keyActionDown(Viewer v, GraphicsEvent evt, int key) {
        return false;
    }

    public boolean keyActionUp(Viewer v, GraphicsEvent evt, int key) {
        return false;
    }
}
