package sgraphics;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

/**
 * A bounding span is a one-dimensional coordinate range with
 * an origin value as a reference.  The begin, end, and
 * align fields define a bounding span.  The length is always
 * equal to end minus begin, and the origin is always equal
 * to begin plus length times align.
*/

public class BoundingSpan {
	public float begin;
	public float end;
	public float origin;
	public float length;
	public float align;
}
