package sgraphics;

// Copyright (c) 1996    Michael A. Jones

import java.awt.Event;

/**
 * The replacement for AWT's Event. Used for all event handling.
 */
public class GraphicsEvent extends Event {
	public float X;
	public float Y;

	public GraphicsEvent (Object target, long when, int id, float x, float y, int key, int modifiers, Object arg) {
	        super(target, when, id, 0, 0, key, modifiers, arg);
	    X = x;
	    Y = y;
	}

	public GraphicsEvent (Object target, long when, int id, float x, float y, int key, int modifiers) {
	    super(target, when, id, 0, 0, key, modifiers);
	    X = x;
	    Y = y;
	}

	public GraphicsEvent (Object target, int id, Object arg) {
	    super(target, id, arg);
	    X = 0;
	    Y = 0;
	}
}