package sgraphics.figure;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

public interface FigureMode {

    /**
     * Draw a line or text.
     */
	public static final int Stroke = 1;

	/**
	 * Fill in the area.
	 */
	public static final int Fill = 2;

	/**
	 * Same as Fill.
	 */
	public static final int FillStroke = 3;

	/**
	 * Clear the area.
	 */
	public static final int Clear = 4;
}
