package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones

import java.applet.*;
import java.awt.*;

public class AppletFrame extends Frame {

	public AppletFrame (String title, Applet applet, int width, int height) {
		super(title);

		setLayout(new BorderLayout());

		MenuBar menubar = new MenuBar();
		Menu file = new Menu("File", true);
		menubar.add(file);
		file.add("Quit");
		setMenuBar(menubar);

		add("Center", applet);
		resize(width, height);
		//show();

		applet.init();
		applet.start();
	}

	public boolean action (Event e, Object arg) {
		if (e.target instanceof MenuItem) {
			String label = (String) arg;
			if (label.equals("Quit"))
				System.exit(0);
		}
		return false;
	}
}