package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones

import java.awt.*;
import java.applet.*;

import sgraphics.*;
import sgraphics.figure.Figure;
import sgraphics.figure.FigureKit;
import sgraphics.figure.FigureMode;
import sgraphics.figure.FigureStyle;
import sgraphics.layout.LayoutKit;

public class Squares extends Applet {

    public static void main (String arg[]) {
        Applet applet = new Squares();
        Frame frame = new AppletFrame("Squares", applet, 100, 100);
        frame.show();
    }


	public void init () {
		setLayout(new BorderLayout());

		Glyph hb = LayoutKit.hbox();

		FigureStyle style = new FigureStyle();
		style.foreground = Color.blue;
		Glyph leftSquare = new ColorChanger(FigureKit.rectangle(FigureMode.Fill, style, 0, 0, 20, 20));
		hb.append(leftSquare);

		style = new FigureStyle();
		style.foreground = Color.red;
		Glyph rightSquare = new ColorChanger(FigureKit.rectangle(FigureMode.Fill, style, 0, 0, 20, 20));
		hb.append(rightSquare);

		SgraphicsAdapter a = new SgraphicsAdapter(hb);

		add("Center", a);
		}
}
