package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;


public class TutorialExample1 extends Applet {

    public static void main (String arg[]) {
        Applet applet = new TutorialExample1();
        Frame frame = new AppletFrame("Example 1", applet, 100, 150);
        frame.show();
    }

	public void init () {
	    setBackground(Color.lightGray);

		FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.background = Color.blue;
		style.brushSize = 1;

		Glyph horizontalBox = LayoutKit.hbox();

		horizontalBox.append(
		    LayoutKit.margin(
		            FigureKit.circle(FigureMode.Fill, style, 0, 0, 40),
		            16
		    )
		);

		SgraphicsAdapter adapter = new SgraphicsAdapter(horizontalBox);

		setLayout(new BorderLayout());
		add("Center", adapter);
	}
}
