package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;


public class TutorialExample3 extends Applet{

    public static void main (String arg[]) {
        Applet applet = new TutorialExample3();
        Frame frame = new AppletFrame("Example 3", applet, 350, 100);
        frame.show();
    }

	public void init () {
	    setBackground(Color.gray);

		FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.brushSize = 1;

		Glyph horizontalRow = LayoutKit.hbox();

		for (int col = 0; col < 8; col++)
		    horizontalRow.append(
		        LayoutKit.margin(
		            new Pin("FakeName", 20F),
		            6
		        )
		    );

		SgraphicsAdapter adapter = new SgraphicsAdapter(horizontalRow);

		add("Center", adapter);
	}
}
