package sgraphics.wrapper;

// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * An event that is used to resize a ResizableFrame.
 */
public class FrameResizeEvent extends GraphicsEvent {
	public float frameWidth;
	public float frameHeight;

	/**
	 * @param target the object that created the event.
	 * @param width the new width.
	 * @param height the new height.
	 */
	public FrameResizeEvent (Object target, float width, float height, float x, float y) {
		super(target, 0, GraphicsEvent.ACTION_EVENT, x, y, 0, 0);
		frameWidth = width;
		frameHeight = height;
		}

}
